<?php
session_start();
include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }  
?>


<html>
<head>
<title>RRB - Abonos Eventos</title>
</head>

<body>
<center>
<?php 
extract($_POST);
$rowii=1;
$tothab=0;
$histo=0;
$rest=0;
echo "<h2>Historial de pagos</h2>";
$rese="select Apartado.id_inver, Apartado.RFC, tipo_hab, anticipo, fecha_ap, cd_venta, inversionista.nombre from Apartado inner join inversionista on Apartado.id_inver=inversionista.id_inver where id_ap='$idAPk'";
$res2=mysqli_query($conexion, $rese) or die ("Error en su primer pago H: ".mysqli_error($conexion));
if(mysqli_affected_rows($conexion)){
$res3=mysqli_fetch_array($res2);
if($res3[2]==2) $res4="Doble";
else $res4="Sencillo";
echo "<table border=3 style='text-aling:center'>"
. "<tr><th>Nombre</th><th>Tipo Habitaci�n</th><th>Primer Pago</th><th>Fecha</th><th>Realizado por el Centro</th></tr>"
. "<tr><td>$res3[0] - $res3[6]</td><td>$res4</td><td>$ $res3[3]</td><td>$res3[4]</td><td>$res3[5]</td></tr>"
. "</table>";
if($res3[2]==1)$tothab=4500; if($res3[2]==2)$tothab=3500;
echo "<table border=3><tbody><tr>". 
      "<th>Trans.</th><th>Fecha de Abono</th><th>Abono</th><th>Tipo de Pago</th><th>Restante</th></tr>";
 
    $mc5="select * from abono_evento where Ab_a_id=$id_AB";
    $mh5=mysqli_query($conexion, $mc5) or die("Error 3: ".mysqli_error($conexion));
while($mq5=mysqli_fetch_object($mh5)){
      $id_abonosin2=$mq5->id_abono;
      $tipopago=$mq5->tipo_pago;
      if($tipopago==0)
          $tipopagoT="Efectivo";
      if($tipopago==1)
          $tipopagoT="Depósito";
      if($tipopago==2)
          $tipopagoT="Regalías";
      if($tipopago==3)
          $tipopagoT="Voucher";
      if($tipopago==4)
          $tipopagoT="Tarjeta";
      if($tipopago==5)
          $tipopagoT="Por Pagar";
      echo "<tr>"
             . "<td>$id_abonosin2</td>"
             . "<td>$mq5->fecha_abono</td>"
             . "<td>$ $mq5->abono</td>"
             . "<td>$tipopagoT</td>"
             . "<td>$ $mq5->restante</td>"
             . "</tr>";
             $rowii++;
             $histo=$histo+$mq5->abono;
}echo "</tbody></table><br><br><br>";
$totab=$histo+$res3[3];
$rest=$tothab-$totab;
echo "<font size='3'>Abonado: $ $totab &nbsp; Total: $ $tothab &nbsp; Restante: $ $rest";
}

else{
    $mc1="select rfc from Apartado where rfc='$rfck'";
    $mh1=mysqli_query($conexion, $mc1) or die("Error 0: ".mysqli_error($conexion));
    if(mysqli_affected_rows($conexion)){
        $rese="select RFC, tipo_hab, anticipo, fecha_ap, cd_venta from Apartado where id_ap='$idAPk'";
        $res2=mysqli_query($conexion, $rese) or die ("Error #99562399: ".mysqli_error($conexion));
        $res3=mysqli_fetch_array($res2);
if($res3[1]==2) $res4="Doble";
else $res4="Sencillo";
echo "<table border=3 style='text-aling:center'>"
. "<tr><th>Nombre</th><th>Tipo Habitaci�n</th><th>Primer Pago</th><th>Fecha</th><th>Realizado por el Centro</th></tr>"
. "<tr><td>$res3[0]</td><td>$res4</td><td>$ $res3[2]</td><td>$res3[3]</td><td>$res3[4]</td></tr>"
. "</table>";
if($res3[2]==1)$tothab=4500; if($res3[2]==2)$tothab=3500;
echo "<table border=3><tbody><tr>". 
      "<th>Trans.</th><th>Fecha de Abono</th><th>Abono</th><th>Tipo de Pago</th><th>Restante</th></tr>";
 
    $mc5="select * from abono_evento where Ab_a_id=$id_AB";
    $mh5=mysqli_query($conexion, $mc5) or die("Error 3: ".mysqli_error($conexion));
while($mq5=mysqli_fetch_object($mh5)){
      $id_abonosin2=$mq5->id_abono;
      $tipopago=$mq5->tipo_pago;
      if($tipopago==0)
          $tipopagoT="Efectivo";
      if($tipopago==1)
          $tipopagoT="Depósito";
      if($tipopago==2)
          $tipopagoT="Regalías";
      if($tipopago==3)
          $tipopagoT="Voucher";
      if($tipopago==4)
          $tipopagoT="Tarjeta";
      if($tipopago==5)
          $tipopagoT="Por Pagar";
      echo "<tr>"
             . "<td>$id_abonosin2</td>"
             . "<td>$mq5->fecha_abono</td>"
             . "<td>$ $mq5->abono</td>"
             . "<td>$tipopagoT</td>"
             . "<td>$ $mq5->restante</td>"
             . "</tr>";
             $rowii++;
             $histo=$histo+$mq5->abono;
}echo "</tbody></table><br><br><br>";
$totab=$histo+$res3[3];
$rest=$tothab-$totab;
    echo "<font size='3'>Abonado: $ $totab &nbsp; Total: $ $tothab &nbsp; Restante: $ $rest";}
    else {Echo "RFC no Encontrado";}//No se encontró RFC
            
}
?>
</center> 
</body>
</html>